Skip to content

Retrieve an article

Request

You can fetch the details of a single article by making a GET request to https://api.intercom.io/articles/<id>.

Security
bearerAuth
Path
idintegerrequired

The unique identifier for the article which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/articles/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Article found

Bodyapplication/json
typestring

The type of object - article.

Default:"article"
Value:"article"
Example:"article"
idstring

The unique identifier for the article which is given by Intercom.

Example:"6871119"
workspace_idstring

The id of the workspace which the article belongs to.

Example:"hfi1bx4l"
titlestring

The title of the article. For multilingual articles, this will be the title of the default language's content.

Example:"Default language title"
descriptionstring or null

The description of the article. For multilingual articles, this will be the description of the default language's content.

Example:"Default language description"
bodystring or null

The body of the article in HTML. For multilingual articles, this will be the body of the default language's content.

Example:"Default language body in html"
author_idinteger

The id of the author of the article. For multilingual articles, this will be the id of the author of the default language's content. Must be a teammate on the help center's workspace.

Example:"5017691"
statestring

Whether the article is published or is a draft. For multilingual articles, this will be the state of the default language's content.

Default:"draft"
Enum:"published""draft"
Example:"published"
created_atinteger, (date-time)

The time when the article was created. For multilingual articles, this will be the timestamp of creation of the default language's content in seconds.

Example:1672928359
updated_atinteger, (date-time)

The time when the article was last updated. For multilingual articles, this will be the timestamp of last update of the default language's content in seconds.

Example:1672928610
urlstring or null

The URL of the article. For multilingual articles, this will be the URL of the default language's content.

Example:"http://intercom.test/help/en/articles/3-default-language"
parent_idinteger or null

The id of the article's parent collection or section. An article without this field stands alone.

Example:"125685"
parent_idsArray of integers

The ids of the article's parent collections or sections. An article without this field stands alone.

Example:
[ 18, 19 ]
parent_typestring or null

The type of parent, which can either be a collection or section.

Example:"collection"
default_localestring

The default locale of the help center. This field is only returned for multilingual help centers.

Example:"en"
translated_contentobject or null(Article Translated Content)

The Translated Content of an Article. The keys are the locale codes and the values are the translated content of the article.

statisticsobject or null(Article Statistics)

The statistics of an article.

Response
{ "id": "41", "type": "article", "workspace_id": "this_is_an_id43_that_should_be_at_least_4", "parent_id": 150, "parent_type": "collection", "parent_ids": [], "statistics": { "type": "article_statistics", "views": 0, "conversations": 0, "reactions": 0, "happy_reaction_percentage": 0, "neutral_reaction_percentage": 0, "sad_reaction_percentage": 0 }, "title": "This is the article title", "description": "", "body": "", "author_id": 991267264, "state": "published", "created_at": 1717021344, "updated_at": 1717021344, "url": "http://help-center.test/myapp-43/en/articles/41-this-is-the-article-title" }